<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlLoopbackBurst_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlLoopbackBurst_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Loopback burst set configuration.  
 <a href="structrl_loopback_burst__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a33a1f9bab35c888083479c8392835e71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33a1f9bab35c888083479c8392835e71"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a33a1f9bab35c888083479c8392835e71">loopbackSel</a></td></tr>
<tr class="memdesc:a33a1f9bab35c888083479c8392835e71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loopback selection <br />
 Value Definition <br />
 0 No loopback <br />
 1 IF loopback <br />
 2 PS loopback <br />
 3 PA loopback <br />
 Others RESERVED <br />
. <br /></td></tr>
<tr class="separator:a33a1f9bab35c888083479c8392835e71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a098861d560c89de7c34807b7608e91d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a098861d560c89de7c34807b7608e91d3"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a098861d560c89de7c34807b7608e91d3">baseProfileIndx</a></td></tr>
<tr class="memdesc:a098861d560c89de7c34807b7608e91d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base profile used for loopback chirps <br />
 Valid values 0 to 3 <br />
. <br /></td></tr>
<tr class="separator:a098861d560c89de7c34807b7608e91d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e4023f8614679a0aec5cae632c2b794"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e4023f8614679a0aec5cae632c2b794"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a5e4023f8614679a0aec5cae632c2b794">burstIndx</a></td></tr>
<tr class="memdesc:a5e4023f8614679a0aec5cae632c2b794"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates the index of the burst in the loopback sub-frame for which <br />
 this configuration applies <br />
 Valid values 0 to 15 <br />
. <br /></td></tr>
<tr class="separator:a5e4023f8614679a0aec5cae632c2b794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e3c1c37f000d804cb43fffbc47e1ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3e3c1c37f000d804cb43fffbc47e1ea"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#ab3e3c1c37f000d804cb43fffbc47e1ea">reserved0</a></td></tr>
<tr class="memdesc:ab3e3c1c37f000d804cb43fffbc47e1ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab3e3c1c37f000d804cb43fffbc47e1ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae330a0380fe4b9b387e88064ab9f2605"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae330a0380fe4b9b387e88064ab9f2605"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#ae330a0380fe4b9b387e88064ab9f2605">freqConst</a></td></tr>
<tr class="memdesc:ae330a0380fe4b9b387e88064ab9f2605"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start frequency for loopback <br />
 1 LSB = 3.6e9 / 2^26 Hz (~ 53.644 Hz) <br />
 Valid range: 0x5471C71B to 0x5A000000 <br />
. <br /></td></tr>
<tr class="separator:ae330a0380fe4b9b387e88064ab9f2605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78ee2443c1f2b9173399476d91a8f5db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78ee2443c1f2b9173399476d91a8f5db"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a78ee2443c1f2b9173399476d91a8f5db">slopeConst</a></td></tr>
<tr class="memdesc:a78ee2443c1f2b9173399476d91a8f5db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frequency slope for loopback burst (32 bit signed number) <br />
 1 LSB = 3.6e9*900 / 2^26 (~48.279 kHz/us) <br />
 Valid range: -2072 to 2072 <br />
. <br /></td></tr>
<tr class="separator:a78ee2443c1f2b9173399476d91a8f5db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7313fdc2153643fab6488835729d00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d7313fdc2153643fab6488835729d00"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a3d7313fdc2153643fab6488835729d00">reserved1</a></td></tr>
<tr class="memdesc:a3d7313fdc2153643fab6488835729d00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3d7313fdc2153643fab6488835729d00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2aa06962dd2ade0e5aaa122a3190874"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2aa06962dd2ade0e5aaa122a3190874"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#aa2aa06962dd2ade0e5aaa122a3190874">txBackoff</a></td></tr>
<tr class="memdesc:aa2aa06962dd2ade0e5aaa122a3190874"><td class="mdescLeft">&#160;</td><td class="mdescRight">Concatenated code for output power backoff for TX0, TX1, TX2<br />
 b7:0 TX0 output power back off <br />
 b15:8 TX1 output power back off <br />
 b23:16 TX2 output power back off <br />
 b31:24 Reserved <br />
. <br /></td></tr>
<tr class="separator:aa2aa06962dd2ade0e5aaa122a3190874"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30da79fc4d2bc7ac4dda893933d2e79a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30da79fc4d2bc7ac4dda893933d2e79a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a30da79fc4d2bc7ac4dda893933d2e79a">rxGain</a></td></tr>
<tr class="memdesc:a30da79fc4d2bc7ac4dda893933d2e79a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Definition <br />
 5:0 Rx gain <br />
 This field defined RX gain for each profile <br />
 1 LSB = 1 dB <br />
 Valid values: all even values from 24 to 52 <br />
 7:6 RF Gain Target <br />
 Value RF gain target <br />
 00 30 dB <br />
 01 34 dB <br />
 10 Reserved <br />
 11 26 dB <br />
 15:8 Reserved <br />
. <br /></td></tr>
<tr class="separator:a30da79fc4d2bc7ac4dda893933d2e79a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69901eb1ce9eef8d2690a963524c2eb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69901eb1ce9eef8d2690a963524c2eb5"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a69901eb1ce9eef8d2690a963524c2eb5">txEn</a></td></tr>
<tr class="memdesc:a69901eb1ce9eef8d2690a963524c2eb5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx enable selection bit mask <br />
 b0 Enable TX0 <br />
 0 Tx0 Disable <br />
 1 Tx0 Enable <br />
 b1 Enable TX1 <br />
 0 Tx1 Disable <br />
 1 Tx1 Enable <br />
 b2 Enable TX2 <br />
 0 Tx2 Disable <br />
 1 Tx2 Enable <br />
. <br /></td></tr>
<tr class="separator:a69901eb1ce9eef8d2690a963524c2eb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95926fe316586fcf938222579f3954f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95926fe316586fcf938222579f3954f9"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a95926fe316586fcf938222579f3954f9">reserved2</a></td></tr>
<tr class="memdesc:a95926fe316586fcf938222579f3954f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a95926fe316586fcf938222579f3954f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a977bd3ff135498c0580694ebfb1d6c8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a977bd3ff135498c0580694ebfb1d6c8d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a977bd3ff135498c0580694ebfb1d6c8d">bpmConfig</a></td></tr>
<tr class="memdesc:a977bd3ff135498c0580694ebfb1d6c8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Definition <br />
 b0 CONST_BPM_VAL_TX0_OFF <br />
 Value of Binary Phase Shift value for TX0, during idle time <br />
 b1 CONST_BPM_VAL_TX0_ON <br />
 Value of Binary Phase Shift value for TX0, during chirp <br />
 b2 CONST_BPM_VAL_TX1_OFF <br />
 Value of Binary Phase Shift value for TX1, during idle time <br />
 b3 CONST_BPM_VAL_TX1_ON <br />
 Value of Binary Phase Shift value for TX1, during chirp <br />
 b4 CONST_BPM_VAL_TX2_OFF <br />
 Value of Binary Phase Shift value for TX2, during idle time <br />
 b5 CONST_BPM_VAL_TX2_ON <br />
 Value of Binary Phase Shift value for TX2, during chirp <br />
 b15:6 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a977bd3ff135498c0580694ebfb1d6c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63369330efa6c77d2d482f4e6e13615a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63369330efa6c77d2d482f4e6e13615a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a63369330efa6c77d2d482f4e6e13615a">digCorrDis</a></td></tr>
<tr class="memdesc:a63369330efa6c77d2d482f4e6e13615a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bits Digital corrections <br />
 b0 IQMM correction disable <br />
 0 - Enable, 1- Disable <br />
 b1 RX Gain and Phase correction disable <br />
 0 - Enable, 1- Disable <br />
 b15:2 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a63369330efa6c77d2d482f4e6e13615a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14e58a887a5afa9b98753341e411978e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14e58a887a5afa9b98753341e411978e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a14e58a887a5afa9b98753341e411978e">ifLbFreq</a></td></tr>
<tr class="memdesc:a14e58a887a5afa9b98753341e411978e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value IF Loopback frequency value <br />
 0 180 kHz <br />
 1 240 kHz <br />
 2 360 kHz <br />
 3 720 kHz <br />
 4 1 MHz <br />
 5 2 MHz <br />
 6 2.5 MHz <br />
 7 3 MHz <br />
 8 4.02 MHz <br />
 9 5 MHz <br />
 10 6 MHz <br />
 11 8.03 MHz <br />
 12 9 MHz <br />
 13 10 MHz <br />
 255-14 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a14e58a887a5afa9b98753341e411978e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1fc7a8b6b7f26fe2a37a16f412a03c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1fc7a8b6b7f26fe2a37a16f412a03c7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#aa1fc7a8b6b7f26fe2a37a16f412a03c7">ifLbMag</a></td></tr>
<tr class="memdesc:aa1fc7a8b6b7f26fe2a37a16f412a03c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 LSB = 10 mV Valid range: 1 to 63 <br /></td></tr>
<tr class="separator:aa1fc7a8b6b7f26fe2a37a16f412a03c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ea4c25e15d75788fecdc762def5209"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ea4c25e15d75788fecdc762def5209"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#aa9ea4c25e15d75788fecdc762def5209">ps1PgaIndx</a></td></tr>
<tr class="memdesc:aa9ea4c25e15d75788fecdc762def5209"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value PGA gain value <br />
 0 PGA is OFF <br />
 1 -22 dB <br />
 2 -16 dB <br />
 3 -15 dB <br />
 4 -14 dB <br />
 5 -13 dB <br />
 6 -12 dB <br />
 7 -11 dB <br />
 8 -10 dB <br />
 9 -9 dB <br />
 10 -8 dB <br />
 11 -7 dB <br />
 12 -6 dB <br />
 13 -5 dB <br />
 14 -4 dB <br />
 15 -3 dB <br />
 16 -2 dB <br />
 17 -1 dB <br />
 18 0 dB <br />
 19 1 dB <br />
 20 2 dB <br />
 21 3 dB <br />
 22 4 dB <br />
 23 5 dB <br />
 24 6 dB <br />
 25 7 dB <br />
 26 8 dB <br />
 27 9 dB <br />
 255-28 RESERVED <br />
. <br /></td></tr>
<tr class="separator:aa9ea4c25e15d75788fecdc762def5209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c27c5ee03ca33b88e66850e96e2956e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c27c5ee03ca33b88e66850e96e2956e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a9c27c5ee03ca33b88e66850e96e2956e">ps2PgaIndx</a></td></tr>
<tr class="memdesc:a9c27c5ee03ca33b88e66850e96e2956e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Same as above definition. <br /></td></tr>
<tr class="separator:a9c27c5ee03ca33b88e66850e96e2956e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a891640c770734938499b6b2e01d80340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a891640c770734938499b6b2e01d80340"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a891640c770734938499b6b2e01d80340">psLbFreq</a></td></tr>
<tr class="memdesc:a891640c770734938499b6b2e01d80340"><td class="mdescLeft">&#160;</td><td class="mdescRight">Phase shifter loop back frequency in kHz<br />
 1 LSB = 1 kHz <br />
 Bits Definition <br />
 b15:0 TX0 Loopback Frequency <br />
 b31:16 TX1 Loopback Frequency <br />
. <br /></td></tr>
<tr class="separator:a891640c770734938499b6b2e01d80340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c646ddfeff04e5e962e9a62be7ee665"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c646ddfeff04e5e962e9a62be7ee665"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a3c646ddfeff04e5e962e9a62be7ee665">reserved3</a></td></tr>
<tr class="memdesc:a3c646ddfeff04e5e962e9a62be7ee665"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3c646ddfeff04e5e962e9a62be7ee665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88db8a20ce4edd267948a75a23ce77e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88db8a20ce4edd267948a75a23ce77e8"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a88db8a20ce4edd267948a75a23ce77e8">paLbFreq</a></td></tr>
<tr class="memdesc:a88db8a20ce4edd267948a75a23ce77e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This value is a 100MHz divider which sets the loopback frequency <br />
 For e.g. for a 1 MHz frequency, set this to 100 <br />
 for a 2 MHz frequency, set this to 50 <br />
 Note: To ensure no leakage of signal power, user has to ensure that <br />
 100MHz/LOOPBACK_FREQ is an integer multiple of bin width. <br />
 For e.g. if user choses 25Msps sampling rate and 2048 samples/chirp, <br />
 then LOOPBACK_FREQ of 64 (=1.5625MHz) will ensure no leakage. <br /></td></tr>
<tr class="separator:a88db8a20ce4edd267948a75a23ce77e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3039c9513d1ec94f6956ad87b7eff014"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3039c9513d1ec94f6956ad87b7eff014"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_loopback_burst__t.html#a3039c9513d1ec94f6956ad87b7eff014">reserved4</a> [3U]</td></tr>
<tr class="memdesc:a3039c9513d1ec94f6956ad87b7eff014"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3039c9513d1ec94f6956ad87b7eff014"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Loopback burst set configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
